VirtualBox Main API

Public Attributes | List of all members
IExtraDataCanChangeEvent Interface Reference

Notification when someone tries to change extra data for either the given machine or (if `null`) global extra data. More...

Inheritance diagram for IExtraDataCanChangeEvent:

## Public Attributes
readonly attribute wstringUUID | machineId
| ID of the machine this event relates to.
readonly attribute wstring | key
| Extra data key that has changed.
readonly attribute wstring | value
| Extra data value for the given key.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IVetoEvent
void | addVeto (in wstring reason)
| Adds a veto on this event.
void | isVetoed ([retval] out boolean result)
| If this event was vetoed.
void | getVetos ([retval] out wstring[] result)
| Current veto reason list, if size is 0 - no veto.
void | addApproval (in wstring reason)
| Adds an approval on this event.
void | isApproved ([retval] out boolean result)
| If this event was approved.
void | getApprovals ([retval] out wstring[] result)
| Current approval reason list, if size is 0 - no approvals.
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when someone tries to change extra data for either the given machine or (if `null`) global extra data.

This gives the chance to veto against changes.

Interface ID:
  `{245D88BD-800A-40F8-87A6-170D02249A55}`

## Member Data Documentation

## ◆ machineId

readonly attribute wstringUUID IExtraDataCanChangeEvent::machineId

ID of the machine this event relates to.

Null for global extra data changes.

## ◆ key

readonly attribute wstring IExtraDataCanChangeEvent::key

Extra data key that has changed.

## ◆ value

readonly attribute wstring IExtraDataCanChangeEvent::value

Extra data value for the given key.